Kotlin 1.1.60 发布,开始支持增量编译 - 开源中国社区
Float_left Icon_close
Kotlin 1.1.60 发布,开始支持增量编译
王练 2017年11月14日

Kotlin 1.1.60 发布,开始支持增量编译

王练 王练 发布于2017年11月14日 收藏 3

Kotlin 1.1.60 已发布,这是 Kotlin 1.1 的一个新的 bug 修复和工具更新版本。包括:

  • 为 Kotlin / JS 增量编译添加实验性支持:可显着减少开发过程中的构建时间,编译一个小的局部变化仅需数秒钟。在默认情况下它是禁用的,需通过在 gradle.properties 或 local.properties 中设置 kotlin.incremental.js = true 来启用。

  • 向 JSR-305 自定义可空性注释支持添加新功能,以及 bug 修复。

  • 在自动 Parcelable 实现生成器中引入很多 bug 修复,并为其提供 IDE 支持

  • 改进 Gradle 增量构建

  • 在 IntelliJ 插件中还引入新的检查、性能改进和 bug 修复

具体内容请查阅发行说明

此更新与 2016.3 至 2017.3 的所有 IntelliJ IDEA 版本以及 Android Studio 2.3、3.0 和 3.1兼容。完整列表可在更新日志中找到。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Kotlin 1.1.60 发布,开始支持增量编译
分享
评论(8)
最新评论
0
最近好像不怎么火了
0
是不是都应用在手机端
0
idea终于不抛某个异常了,插件更新了
0
6666
0
666
0
这个就很6了
0
nice
0
Good!
顶部